Bug 563481 - Review Request: aduna-commons-i18n - Internationalization and localization utilities
Review Request: aduna-commons-i18n - Internationalization and localization ut...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On: 561439
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-10 06:42 EST by Mary Ellen Foster
Modified: 2010-12-21 18:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 18:42:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2010-02-10 06:42:01 EST
Spec URL: http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-commons-i18n.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-commons-i18n-1.3.0-1.fc12.src.rpm

Description: Internationalization and localization utilities
Comment 2 Orcan Ogetbil 2010-02-21 01:46:37 EST
I reviewed this package. There are a few minor things but none of them are blockers. Please read through and modify the specfile if there is need before you commit


! rpmlint says:
   aduna-commons-i18n.src:123: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}
       This can be ignored. By the way you can get rid of the "%attr(-,root,root)" part

   aduna-commons-i18n.x86_64: W: no-documentation
       This can be ignored

   aduna-commons-i18n.x86_64: W: non-conffile-in-etc /etc/maven/fragments/aduna-commons-i18n
       This can be ignored


! %description for javadoc subpackage should not be the same description for the main package.


? This looks like a SUSE convention
   %{_javadocdir}/%{name}-%{version}
   %{_javadocdir}/%{name}
Do we have this in Fedora? If not, please remove the symlink.


! It looks like the following BR's are not really needed:
   BuildRequires: maven2
   BuildRequires: maven2-plugin-compiler
   BuildRequires: maven2-plugin-javadoc
   BuildRequires: maven-plugin-bundle
These will be pulled in by other dependencies so it won't do harm to leave them but the following , I think, is absolutely not needed.
   BuildRequires: maven-surefire-provider-junit




-----------------------------------------------------
This package (aduna-commons-i18n) is APPROVED by oget
-----------------------------------------------------
Comment 3 Mary Ellen Foster 2010-02-23 09:08:01 EST
New version:
- Remove BuildRequirements that are pulled in by aduna-commons POM
- Require the main package in the javadoc

http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-commons-i18n.spec
http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-commons-i18n-1.3.0-3.fc12.src.rpm
Comment 4 Orcan Ogetbil 2010-03-06 04:02:40 EST
Mary Ellen, in case you didn't notice, I already approved the package in comment #2.
Comment 5 Mary Ellen Foster 2010-03-23 06:37:16 EDT
New Package CVS Request
=======================
Package Name: aduna-commons-i18n
Short Description: Internationalization and localization utilities
Owners: mef
Branches: F-12
InitialCC:
Comment 6 Mary Ellen Foster 2010-03-23 06:41:32 EDT
New Package CVS Request
=======================
Package Name: aduna-commons-i18n
Short Description: Internationalization and localization utilities
Owners: mef
Branches: F-12
InitialCC:
Comment 7 Mary Ellen Foster 2010-03-23 06:41:57 EDT
(Sorry for the duplicate -- I got a bugzilla server error the first time ...)
Comment 8 Kevin Fenzi 2010-03-23 23:24:24 EDT
CVS done (by process-cvs-requests.py).

(added a F-13 branch as well)
Comment 9 Orcan Ogetbil 2010-06-20 22:33:16 EDT
The package doesn't seem to be imported to cvs yet. Is there a problem?
Comment 10 Orcan Ogetbil 2010-11-06 02:28:00 EDT
Mary, is there something wrong?
Comment 11 Jason Tibbitts 2010-12-21 18:42:30 EST
I retired and blocked the package.

Note You need to log in before you can comment on or make changes to this bug.